Name:           python-pycparser
Version:        2.09.1
Release:        4%{?dist}
Summary:        C parser and AST generator written in Python

License:        BSD
URL:            http://github.com/eliben/pycparser
Source0:        http://github.com/eliben/pycparser/archive/release_v%{version}.tar.gz
Source1:        pycparser-0.91.1-remove-relative-sys-path.py
Patch0:         pycparser-0.91.1-unittests-sys-path.patch
Patch1:         pycparser-0.91.1-disable-embedded-ply.patch

BuildArch:      noarch

BuildRequires:  python2-devel

# for unit tests
BuildRequires:  python-ply
BuildRequires:  dos2unix

Requires:  python-ply

%description
pycparser is a complete parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications that
need to parse C source code.

%prep
%setup -q -n pycparser-release_v%{version}
%patch0 -p1 -b .orig
%patch1 -p1 -b .orig

# remove embedded copy of ply
rm -rf pycparser/ply

# examples
%{__python} %{SOURCE1} examples
dos2unix LICENSE

%build
%{__python} setup.py build
cd build/lib/pycparser
%{__python} _build_tables.py

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%check
%{__python} tests/all_tests.py 
 
%files
%doc examples LICENSE
%{python_sitelib}/pycparser/
%{python_sitelib}/pycparser-*.egg-info

%changelog
* Sun Jul 21 2013 Eric Smith <brouhaha@fedoraproject.org> 2.09.1-4
- Upstream repository is now on github.
- Fix rpmlint strange-permission complaint.
- Rename patches, Source1 to all start with pycparser-{version}, to
  simplify updating patches for future upstream releases.

* Sun Jul 21 2013 Eric Smith <brouhaha@fedoraproject.org> 2.09.1-3
- Run _build_tables.py to build the lextab.py and yacctab.py; otherwise
  they have to be regenerated at runtime for no benefit.

* Tue Mar 19 2013 Jos de Kloe <josdekloe@gmail.com> 2.09.1-2
- remove the embedded ply code

* Fri Jan 18 2013 Scott Tsai <scottt.tw@gmail.com> 2.09.1-1
- upstream 2.09.1
